Bug 171583 - Use âpl2â keymap instead of âplâ one.
Summary: Use âpl2â keymap instead of âplâ one.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-23 19:36 UTC by Dawid Gajownik
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-05 18:05:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dawid Gajownik 2005-10-23 19:36:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20051012 SeaMonkey/1.1a

Description of problem:
Anaconda and system-config-keyboard set âplâ keymap up when you choose Polish keyboard. This keymap has some drawbacks (for instance SHIFT+F6 does not work correctly in Midnight Commander), so it would be better to use âpl2â one. I've asked people on pl.comp.os.linux newsgroup and find out that other distributions (for example PLD which is made by Poles) use âpl2â.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run s-c-k
2. Choose Polish keyboard
3. cat /etc/sysconfig/keyboard
  

Additional info:

Comment 1 Jeremy Katz 2005-10-24 20:53:56 UTC
Done

Comment 3 Dawid Gajownik 2005-10-29 14:08:46 UTC
Thanks!

I have one more question. I've looked at fedora-cvs-commits list and there's
only info about changes in Anaconda. What about system-config-keyboard? Should I
reopen this bug and change the component to s-c-k?

Comment 4 Dawid Gajownik 2005-12-10 11:06:53 UTC
I did today network installation (boot.iso image from 9th December) and in
/etc/sysconfig/keyboard âpl2" keymap is still not set:

[root@X sysconfig]# cat keyboard
KEYBOARDTYPE="pc"
KEYTABLE="pl"
[root@X sysconfig]#

What is more, if you choose in Anaconda in the first screen Polish language,
then in the second one (âKeyboard configurationâ screen) Polish keyboard is not
automatically selected as it was in FC4.

Comment 5 Chris Lumens 2005-12-13 17:30:24 UTC
The keyboard layout dictionary needed some more work.


Note You need to log in before you can comment on or make changes to this bug.